-- apply difficulty combat bonus to city states
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES	
('MINOR_CIV_DEFAULT_TRAIT', 'HIGH_DIFFICULTY_COMBAT_SCALING');

-- delete production penalty so city states can defend well even without starting walls
DELETE FROM TraitModifiers WHERE ModifierId='MINOR_CIV_PRODUCTION_PENALTY';

-- delete city state bonus starting units
DELETE FROM BonusMinorStartingUnits WHERE MinDifficulty='DIFFICULTY_EMPEROR';

-- remove increased unit experience (was 10% per difficulty)
UPDATE ModifierArguments SET Extra=0 WHERE Name='Amount' AND ModifierId='HIGH_DIFFICULTY_UNIT_XP_SCALING';

-- add unit maintenance discount (currently not used anymore)
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_UNIT_MAINTENANCE'),
('MINOR_CIV_DEFAULT_TRAIT', 'LGAI_UNIT_MAINTENANCE');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('LGAI_UNIT_MAINTENANCE', 'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT', 'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('LGAI_UNIT_MAINTENANCE', 'Amount', 'LinearScaleFromDefaultHandicap', 0.5, 0.5);

-- add diplo visibility at scorched earth and rapid deployment
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV','LGAI_DIPLOVIS_ONE'),
('TRAIT_LEADER_MAJOR_CIV','LGAI_DIPLOVIS_TWO');

INSERT INTO DiplomaticVisibilitySources (VisibilitySourceType, Description, ActionDescription, GossipString, TraitType) VALUES
('SOURCE_LGAI_ONE', 'LOC_LGAI_VISDESC_ONE', 'LOC_LGAI_VISADESC_ONE', 'LOC_LGAI_VISGOSSIP_ONE', 'TRAIT_LEADER_MAJOR_CIV'),
('SOURCE_LGAI_TWO', 'LOC_LGAI_VISDESC_TWO', 'LOC_LGAI_VISADESC_TWO', 'LOC_LGAI_VISGOSSIP_TWO', 'TRAIT_LEADER_MAJOR_CIV');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('LGAI_DIPLOVIS_ONE', 'MODIFIER_PLAYER_ADD_DIPLO_VISIBILITY', 'LGAI_REQSET_DIPLOVIS_ONE'),
('LGAI_DIPLOVIS_TWO', 'MODIFIER_PLAYER_ADD_DIPLO_VISIBILITY', 'LGAI_REQSET_DIPLOVIS_TWO');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES		
('LGAI_DIPLOVIS_ONE', 'SourceType', 'ARGTYPE_IDENTITY', 'DIPLO_SOURCE_ALL_NAMES', NULL),
('LGAI_DIPLOVIS_ONE', 'Source', 'ARGTYPE_IDENTITY', 'SOURCE_LGAI_ONE', NULL),
('LGAI_DIPLOVIS_ONE', 'Amount', 'ARGTYPE_IDENTITY', 1, NULL),
('LGAI_DIPLOVIS_TWO', 'SourceType', 'ARGTYPE_IDENTITY', 'DIPLO_SOURCE_ALL_NAMES', NULL),
('LGAI_DIPLOVIS_TWO', 'Source', 'ARGTYPE_IDENTITY', 'SOURCE_LGAI_TWO', NULL),
('LGAI_DIPLOVIS_TWO', 'Amount', 'ARGTYPE_IDENTITY', 1, NULL);

-- add flat anti barbarian strength
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV',	'LGAI_ANTIBARB');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('LGAI_ANTIBARB', 'MODIFIER_PLAYER_UNITS_ADJUST_BARBARIAN_COMBAT', 'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('LGAI_ANTIBARB', 'Amount', 'LinearScaleFromDefaultHandicap',	0, 5);