INSERT INTO Difficulties (Domain, DifficultyType, Name, SortIndex) VALUES
	('StandardDifficulties', 'DIFFICULTY_DEITY_PLUS', 'LOC_DIFFICULTY_DEITY_PLUS_NAME', 90),
	('StandardDifficulties', 'DIFFICULTY_DEITY_PLUSPLUS', 'LOC_DIFFICULTY_DEITY_PLUSPLUS_NAME', 100);

DELETE FROM Difficulties WHERE DifficultyType='DIFFICULTY_SETTLER';
DELETE FROM Difficulties WHERE DifficultyType='DIFFICULTY_CHIEFTAIN';
DELETE FROM Difficulties WHERE DifficultyType='DIFFICULTY_WARLORD';

INSERT INTO Parameters (ParameterId, Name, Description, Domain, DefaultValue, ConfigurationGroup, ConfigurationId, GroupId, SortIndex) VALUES	
('LGAIFreeUnits', 'LOC_LGAI_FREE_UNITS_PARAMETER_NAME', NULL, 'LGAI_FREE_UNITS_GROUP', 0, 'Game', 'LGAI_FREE_UNITS', 'AdvancedOptions', 101),
('LGAINoFreeStrategics', 'LOC_LGAI_NO_FREE_STRATEGICS_NAME', 'LOC_LGAI_NO_FREE_STRATEGICS_DESCRIPTION', 'bool', 1, 'Game', 'NO_LGAI_FREE_STRATEGICS', 'AdvancedOptions', 102),
('LGAINoCombatBonus', 'LOC_LGAI_NO_LGAI_COMBAT_BONUS_NAME', 'LOC_LGAI_NO_LGAI_COMBAT_BONUS_DESCRIPTION', 'bool', 1, 'Game', 'NO_LGAI_COMBAT_BONUS', 'AdvancedOptions', 103),
('LGAIDeityTourism', 'LOC_LGAI_DEITY_TOURISM_NAME', 'LOC_LGAI_DEITY_TOURISM_DESCRIPTION', 'bool', 1, 'Game', 'LGAI_DEITY_TOURISM', 'AdvancedOptions', 104),
('LGAIHTourism', 'LOC_LGAI_HTOURISM_NAME', 'LOC_LGAI_HTOURISM_DESCRIPTION', 'bool', 1, 'Game', 'LGAI_HTOURISM', 'AdvancedOptions', 105),
('LGAICompatibilityParam', 'LOC_LGAI_COMPATIBILITY_NAME', 'LOC_LGAI_COMPATIBILITY_DESCRIPTION', 'bool', 0, 'Game', 'LGAI_COMPATIBILITY', 'AdvancedOptions', 106);

INSERT INTO DomainValues (Domain, Value, Name, Description, SortIndex) VALUES
			('LGAI_FREE_UNITS_GROUP', 0, 'LOC_LGAI_NO_BONUS_WARRIORS_NAME', 'LOC_LGAI_NO_BONUS_WARRIORS_DESCRIPTION', 10),
			('LGAI_FREE_UNITS_GROUP', 1, 'LOC_LGAI_BONUS_WARRIORS_NAME', 'LOC_LGAI_BONUS_WARRIORS_DESCRIPTION', 20),
			('LGAI_FREE_UNITS_GROUP', 2, 'LOC_LGAI_NO_BONUS_SETTLERS_NAME', 'LOC_LGAI_NO_BONUS_SETTLERS_DESCRIPTION', 30);

INSERT INTO Parameters
		(ParameterId,			Name,						Description,						Domain,		DefaultValue,	ConfigurationGroup,	ConfigurationId,				GroupId,			Visible,	SortIndex) VALUES	
('LGAIOnline',		'',	'',	'bool',		1,				'Game',				'LGAI_ONLINE',	'AdvancedOptions',	0,			250),
('LGAIQuick',		'',	'',	'bool',		1,				'Game',				'LGAI_QUICK',	'AdvancedOptions',	0,			260),
('LGAIEpic',		'',	'',	'bool',		1,				'Game',				'LGAI_EPIC',	'AdvancedOptions',	0,			270),
('LGAIMarathon',		'',	'',	'bool',		1,				'Game',				'LGAI_MARATHON',	'AdvancedOptions',	0,			280);


INSERT INTO ParameterDependencies
		(ParameterId,			ConfigurationGroup,			ConfigurationId,		Operator,			ConfigurationValue) VALUES	
('LGAIOnline',		'Game',						'GAME_SPEED_TYPE',		'Equals',			'GAMESPEED_ONLINE'),
('LGAIQuick',		'Game',						'GAME_SPEED_TYPE',		'Equals',			'GAMESPEED_QUICK'),
('LGAIEpic',		'Game',						'GAME_SPEED_TYPE',		'Equals',			'GAMESPEED_EPIC'),
('LGAIMarathon',		'Game',						'GAME_SPEED_TYPE',		'Equals',			'GAMESPEED_MARATHON');

INSERT INTO ParameterCriteria
		(ParameterId,			ConfigurationGroup,			ConfigurationId,		Operator,			ConfigurationValue) VALUES	
('LGAIOnline',		'Game',						'GAME_SPEED_TYPE',		'Equals',			'GAMESPEED_ONLINE'),
('LGAIQuick',		'Game',						'GAME_SPEED_TYPE',		'Equals',			'GAMESPEED_QUICK'),
('LGAIEpic',		'Game',						'GAME_SPEED_TYPE',		'Equals',			'GAMESPEED_EPIC'),
('LGAIMarathon',		'Game',						'GAME_SPEED_TYPE',		'Equals',			'GAMESPEED_MARATHON');
