-- this file only loads when no starting settlers are selected

-- delete alls ai bonus starting units
DELETE FROM MajorStartingUnits WHERE AiOnly=1;

-- add scouts back to start units
INSERT INTO MajorStartingUnits (Unit, Era, District, Quantity, NotStartTile, OnDistrictCreated, AiOnly, MinDifficulty, DifficultyDelta)
VALUES ('UNIT_SCOUT', 'ERA_ANCIENT', 'DISTRICT_CITY_CENTER', 1, 0, 1, 1, 'DIFFICULTY_KING', 0.5);

--delete walls from city state starting buildings
DELETE FROM StartingBuildings WHERE MinorOnly=1;

-- add science, culture, growth per difficulty in ancient/classical era only
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_EARLY_SCIENCE_EMPEROR'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_EARLY_CULTURE_EMPEROR'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_EARLY_GROWTH_EMPEROR'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_EARLY_SCIENCE_DEITY'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_EARLY_CULTURE_DEITY'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_EARLY_GROWTH_DEITY'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_EARLY_SCIENCE_INSANE'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_EARLY_CULTURE_INSANE'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_EARLY_GROWTH_INSANE');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('LGAI_EARLY_SCIENCE_EMPEROR', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER', 'HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_EMPEROR'),
('LGAI_EARLY_CULTURE_EMPEROR', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER', 'HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_EMPEROR'),
('LGAI_EARLY_GROWTH_EMPEROR', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_GROWTH', 'HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_EMPEROR'),
('LGAI_EARLY_SCIENCE_DEITY', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER', 'HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_DEITY'),
('LGAI_EARLY_CULTURE_DEITY', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER', 'HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_DEITY'),
('LGAI_EARLY_GROWTH_DEITY', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_GROWTH', 'HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_DEITY'),
('LGAI_EARLY_SCIENCE_INSANE', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER', 'HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_INSANE'),
('LGAI_EARLY_CULTURE_INSANE', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER', 'HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_INSANE'),
('LGAI_EARLY_GROWTH_INSANE', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_GROWTH', 'HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_INSANE');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('LGAI_EARLY_SCIENCE_EMPEROR', 'YieldType', 'ARGTYPE_IDENTITY', 'YIELD_SCIENCE', NULL),
('LGAI_EARLY_SCIENCE_EMPEROR', 'Amount', 'LinearScaleFromDefaultHandicap', 15, 0),
('LGAI_EARLY_CULTURE_EMPEROR', 'YieldType', 'ARGTYPE_IDENTITY', 'YIELD_CULTURE', NULL),
('LGAI_EARLY_CULTURE_EMPEROR', 'Amount', 'LinearScaleFromDefaultHandicap', 15, 0),
('LGAI_EARLY_GROWTH_EMPEROR', 'Amount', 'LinearScaleFromDefaultHandicap', 30, 0),
('LGAI_EARLY_SCIENCE_DEITY', 'YieldType', 'ARGTYPE_IDENTITY', 'YIELD_SCIENCE', NULL),
('LGAI_EARLY_SCIENCE_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 15, 0),
('LGAI_EARLY_CULTURE_DEITY', 'YieldType', 'ARGTYPE_IDENTITY', 'YIELD_CULTURE', NULL),
('LGAI_EARLY_CULTURE_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 15, 0),
('LGAI_EARLY_GROWTH_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 30, 0),
('LGAI_EARLY_SCIENCE_INSANE', 'YieldType', 'ARGTYPE_IDENTITY', 'YIELD_SCIENCE', NULL),
('LGAI_EARLY_SCIENCE_INSANE', 'Amount', 'LinearScaleFromDefaultHandicap', 15, 0),
('LGAI_EARLY_CULTURE_INSANE', 'YieldType', 'ARGTYPE_IDENTITY', 'YIELD_CULTURE', NULL),
('LGAI_EARLY_CULTURE_INSANE', 'Amount', 'LinearScaleFromDefaultHandicap', 15, 0),
('LGAI_EARLY_GROWTH_INSANE', 'Amount', 'LinearScaleFromDefaultHandicap', 30, 0);